lockups with default (hpet) clocksource on 2.6.27-2-generic 64-bit

Bug #270798 reported by aph on 2008-09-16
284
This bug affects 47 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

I was experiencing lockups where nothing would happen until I pressed any key on the keyboard. One fairly consistent way of reproducing this situation was to log out of a gnome session; then I'd have to press a key several times in order for the X server to restart completely. It would eventually restart by itself but took several minutes. This happened 5 times out of the 10 i tried it. Booting with clocksource=jiffies seems to fix the problem (by default the clocksource was hpet). There were no lockups when logging out 10 times with clocksource=jiffies. This seems to affect several kernels; certainly 2.6.27-2 and probably 2.6.27-1 and 2.6.26-5. All the kernels I have tried have been 64-bit. I am using an "Intel(R) Core(TM)2 Quad CPU Q9400 @ 2.66GHz" and an Asus P5Q motherboard (I think it has an intel p45 chipset).

Dr. Tyrell (dr.tyrell) wrote :

Same here.
2.6.27-4-generic 64 bit, P7811-FX, 9800GTS, P8400 Core2, 4GB RAM

I'm seeing this after medium-to-heavy OpenGL games:
[ 2095.520006] CE: hpet increasing min_delta_ns to 22500 nsec
[ 4831.440304] CE: hpet increasing min_delta_ns to 33750 nsec
[ 4841.352304] CE: hpet increasing min_delta_ns to 50624 nsec
[ 5516.856303] CE: hpet increasing min_delta_ns to 75936 nsec
[ 5516.894385] CE: hpet increasing min_delta_ns to 113904 nsec
[ 5516.944015] CE: hpet increasing min_delta_ns to 170856 nsec
[ 5516.965841] CE: hpet increasing min_delta_ns to 256284 nsec
[ 5516.966836] CE: hpet increasing min_delta_ns to 384426 nsec
[ 5518.450346] CE: hpet increasing min_delta_ns to 576638 nsec
[ 5541.239971] CE: hpet increasing min_delta_ns to 864956 nsec
[ 6466.679724] NVRM: Xid (0001:00): 6, PE0003
[ 6466.708338] NVRM: Xid (0001:00): 55, L2 -> L1

Also note: P7811-FX is vista64 and freezes hard in windoze games within 20 minutes.

The Doctor

Hi aph,

I assume this is still an issue with the most recent 2.6.27-4 kernel? If so, could you try booting without the clocksource=jiffies, trigger the lock ups, and then capture dmesg output and attach it to this bug report? Just curious what messages might be getting logged. Thanks.

Changed in linux:
status: New → Incomplete
davija (davija) wrote :

I am also having this issue. I don't have any dmesg results to post yet. I have not let the machine sit long enough when it does this to realize it was actually doing something.

It has done this since I switched to intrepid about a month ago (during the beta). With the final release and the 2.6.27-7 kernel (running 32 bit kernel) I am having this problem as well. But for me, typically I'm just typing along and it goes kaput.

Del inspiron E1705 Intel Core 2 DUO cpu. My logs look similar to the above posted log. I'll see if I can get some dmesg outputs as well and post those back.

davija (davija) wrote :

Happened to me again... However, it never came back, but I was able to ssh into the machine remotely and run a dmesg. Doesn't appear to be any messages. The keyboard is completely locked out, but the mouse works.

This is rather annoying, 4th time today it has done this.

Daniel Holm (danielholm) wrote :

I do to get this error. Together with freezes for a few seconds when I write, scroll or whatever. And sometimes my computer completely hangs and all my diods start flashing.

Daniel Holm (danielholm) wrote :

I do to get this error. Together with freezes for a few seconds when I write, scroll or whatever. And sometimes my computer completely hangs and all my diods start flashing.

I'm using 32-bit, Intel Core 2 Duo T7250

Mathias Burén (mathias-buren) wrote :

[77510.352075] CE: hpet increasing min_delta_ns to 33750 nsec
[77528.556136] CE: hpet increasing min_delta_ns to 50624 nsec

I do see these occasionally, but my system is completely stable. 64-bit Intrepid install.

2.6.27-7-generic, T8300 CPU

Trampas (trampas) wrote :

I have a T61p laptop that I recently upgraded to 8.10 x64 from 8.04 x64 and I randomly get lock-ups where just the caps-lock LED will blink. The only thing in the logs is:

Nov 8 16:23:32 tstern-laptop kernel: [25147.636195] CE: hpet increasing min_delta_ns to 50624 nsec

Thanks
Trampas

AlexConrad (aconrad-tlv) wrote :

I have these messages as well in my dmesg. I'm using a i386 kernel, not x86_64. Ubuntu 8.10.

uname -a
Linux ubuntu 2.6.27-7-generic #1 SMP Tue Nov 4 19:33:20 UTC 2008 i686 GNU/Linux

My system is stable though. I was just curious about these messages, googled for them and felt on this bug. So I thought I'd just report.

[ 132.832093] CE: hpet increasing min_delta_ns to 15000 nsec
[ 357.995006] CE: hpet increasing min_delta_ns to 22500 nsec
[ 2490.576307] CE: hpet increasing min_delta_ns to 33750 nsec
[89002.733071] CE: hpet increasing min_delta_ns to 50624 nsec

Regards,
Alex

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: Incomplete → Triaged

Same here, on my new notebook
CPU: Intel(R) Core(TM) 2 Duo P8600 @ 2.40GHz
Intrepid x84_64 Kernel 2.6.27-9

[ 692.356043] CE: hpet increasing min_delta_ns to 15000 nsec
[ 692.356104] CE: hpet increasing min_delta_ns to 22500 nsec
[ 820.276734] CE: hpet increasing min_delta_ns to 33750 nsec
[ 850.056227] CE: hpet increasing min_delta_ns to 50624 nsec

So far, no problems appeared,
except only a common bug in the nvidia driver (2D performance issue)

Austin Lund (austin-lund) wrote :

Does everyone who seems to have to also use the proprietary nvidia kernel module with the associated X server?

Just wondering as a trace above has NVRM, and the above commenter talks about nvidia, and I also get NVRM kernel messages.

My graphics card is: nVidia Corporation Quadro NVS 135M (rev a1)

Dennis Dirdjaja (dcd-ditsch) wrote :

Yes, I am using a MacbookPro3,1 with nvidia-glx-177. I am unsure if they are related because I get these messages independently from each other (sometimes they appear together, though).

AlexConrad (aconrad-tlv) wrote :

I have an nvidia graphic card that comes with my DELL XPS laptop. I have installed/activated the proprietary drivers available through "System > Administration > Hardware drivers".

nVidia Corporation GeForce 8600M GT (rev a1)
Subsystem: Dell Device 022e
Kernel driver in use: nvidia
Kernel modules: nvidiafb, nvidia

davija (davija) wrote :

My laptop uses an ATI card, not an nvidia so I don't think it's related to the nvidia drivers... One thing I do notice is that most if not all of the people posting here have an Intel Core 2 Duo...

I am also getting these messages, albeit on an Arch Linux 64-bit install. My hardware is a MacbookPro3,1 and my nvidia driver version is 177.82. I just installed a couple days ago and can't definitively associate my symptoms with these messages, but here's what I've been noticing:
- Occasionally (after leaving the system running for a long time) it will freeze during shutdown.
- It seems to "slow down" over time. I notice it most when I switch virtual desktops -- if there is a maximized Firefox running, it appears very sluggishly
- My wireless connection will drop and I am unable to regain the carrier (probably unrelated?)

Aaron Lu (aaron-aalu) wrote :

Hi, I also has this problem here though I'm using fedora, kernel 2.6.27.7-134.fc10.i686.
I'm not totally locked up but the mouse moves slowly and the kernel dumps the message:
CE: hpet increasing min_delta_ns to 15000 nsec.
My video card is intel's integrated card:
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
so it should have nothing to do with nvidia's driver.
My cpu is: Intel(R) Pentium(R) Dual CPU T2310 @ 1.46GHz.
Hope this info helps.

AlexConrad (aconrad-tlv) wrote :

cat /proc/cpuinfo | grep "model name"
model name : Intel(R) Core(TM)2 Duo CPU T9300 @ 2.50GHz
model name : Intel(R) Core(TM)2 Duo CPU T9300 @ 2.50GHz

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Adam Niedling (krychek) wrote :

I'm also getting these message on 2.6.27-9-generic 32bit kernel. I'm also having similar symptoms as Drew Frank does. Sometimes Ubuntu freezes during shutdown and I'm loosing wireless ans ADSL connections. This only happens when I'm using Deluge or Transmission torrents. And this is happening since I've upgraded to network-manager 0.7.

Akdo (menoft) wrote :

I have similar problem with that on intrepid 32bit, but it happens when I watching flash video, and this freeze my computer I must shut-down manually !!

kernel: [ 1885.653033] CE: hpet increasing min_delta_ns to 15000 nsec

I am also experiencing this bug. I have got an Intel(R) Core(TM)2 Duo CPU T9300 (2.5 GHz). Other hardware on the system include an Intel GMA x3100 integrated graphics card and Intel Corporation PRO/Wireless 4965 AGN.
As for the dmesg, it does not always contain anything related to time keeping after a hangup have occured. Also, if I use clocksource=jiffies the system is rendered unusable (GDM doesn't start properly and it takes an awful lot of time to get into a virtual terminal) but that is probably a separate bug.

Further investigations and testing indicate that the boot-option noapic provides an usable workaround. I've had the affected computer running with that boot-option for several hours, leaving it unattended with programs that I usually had running when the lockup occured for quite a while (this would usually trigger a lockup) and so far it seems like it is gone.

nzroller (nzroller) wrote :

Both times a complete freeze with LED lights blinking:

cat /proc/cpuinfo | grep "model name"
model name : Intel(R) Core(TM)2 Duo CPU P8400 @ 2.26GHz
model name : Intel(R) Core(TM)2 Duo CPU P8400 @ 2.26GHz

/var/log/syslog:Jan 27 21:38:23 paris kernel: [ 2791.045031] CE: hpet increasing min_delta_ns to 15000 nsec
/var/log/syslog:Jan 27 21:50:25 paris kernel: [ 530.429214] CE: hpet increasing min_delta_ns to 15000 nsec

zmzach (zmzach) wrote :

I'm having this same problem and getting the "hpet increasing min_delta_ns" in my log.

Peter, I tried the noapic boot option, trying:
noapic nolapic
noapic acpi=noirq
noapic acpi=off
noapic timer
noapictimer irqpoll
noapic acpi=off
noapic acpi=noirq nolapic

None of them worked, either it screwed up the workings of my computer or it still froze. Would you mind explaining exactly how you did it?

I'm running a 32-bit intel dual-core IBM thinkpad T60

Mitchell (mitchellvc) wrote :

@Petter Eklund
>Further investigations and testing indicate that the boot-option noapic provides an usable workaround. I've had the >affected computer running with that boot-option for several hours, leaving it unattended with programs that I usually >had running when the lockup occured for quite a while (this would usually trigger a lockup) and so far it seems like it is >gone.
In fact Ive been trying the workaround, it works, but... when I run OpenGL applications (those that seem to cause the lookups and the hpet increasing) they run really slow. So I've come back to work without the noapic option

nadavkav (nadavkav) wrote :

i also have these issues on Debian Sid + 2.6.26 AMD64 + nvidia 180.22
see my laptop hardware list: http://wiki.debian.org/InstallingDebianOn/HP/Pavilion_dv7
Processor 2x Intel(R) Core(TM)2 Duo CPU P7350 @ 2.00GHz

2009-02-12 10:49:57 CE hpet increasing min_delta_ns to 22500 nsec
2009-02-12 10:57:51 CE hpet increasing min_delta_ns to 33750 nsec
2009-02-12 11:28:25 CE hpet increasing min_delta_ns to 50624 nsec

yther (iamtheweakestlink) wrote :
Download full text (3.8 KiB)

I am also experiencing this problem. The laptop (Dell Inspiron 1520) will lock up, with Caps Lock and Scroll Lock LEDs flashing in unison, which I have read indicates a kernel panic. Once it happened randomly when shutting down, but I can usually reproduce it (though the time span varies) by sending large files over a wireless link with rsync.

I'm running Kubuntu 8.10 (Intrepid) on x64 hardware. In case it is helpful, I'm including the entire lspci output:

00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
00:01.0 PCI bridge: Intel Corporation Mobile PM965/GM965/GL960 PCI Express Root Port (rev 0c)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 02)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 02)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 02)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 02)
00:1c.3 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 4 (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f2)
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA IDE Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 02)
01:00.0 VGA compatible controller: nVidia Corporation GeForce 8600M GT (rev a1)
03:00.0 Ethernet controller: Broadcom Corporation BCM4401-B0 100Base-TX (rev 02)
03:01.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 05)
03:01.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 22)
03:01.2 System peripheral: Ricoh Co Ltd R5C843 MMC Host Controller (rev 12)
03:01.3 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 12)
03:01.4 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev ff)
0c:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection (rev 61)

Also, lshw says "processor Intel(R) Core(TM)2 Duo CPU T7300 @ 2.00GHz". I am using the NVIDIA drivers, from the package "nvidia-glx-180".

The last few syslog entries before one such panic:

Feb 12 10:59:30 hazuki vmnetBridge: RTM_NEWLINK: name:wlan0 index:4 flags:0x00011043
Feb 12 10:59:30 hazuki vmnetBridge: Can't add interface wlan0 4 (does exist).
Feb 12 11:00:30 hazuki kernel: [ 1616.989338] CE: ...

Read more...

samotham (samotham) wrote :

here I got the same, running 8.10. dmesg says :
[ 1464.105064] CE: hpet increasing min_delta_ns to 33750 nsec

lspci says :
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
00:01.0 PCI bridge: Intel Corporation Mobile PM965/GM965/GL960 PCI Express Root Port (rev 0c)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 02)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 02)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 02)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 02)
00:1c.3 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 4 (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f2)
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA IDE Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 02)
01:00.0 VGA compatible controller: nVidia Corporation GeForce 8600M GT (rev a1)
03:00.0 Ethernet controller: Broadcom Corporation BCM4401-B0 100Base-TX (rev 02)
03:01.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 05)
03:01.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 22)
03:01.2 System peripheral: Ricoh Co Ltd R5C843 MMC Host Controller (rev 12)
03:01.3 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 12)
03:01.4 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev ff)
0c:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)

lshw says :
- video card is GeForce 8600M GT with driver=nvidia
- wireless card is PRO/Wireless 3945ABG [Golan] Network Connection with driver=iwl3945
- proc is Intel(R) Core(TM)2 Duo CPU T7500 @ 2.20GHz

shaan (shaantheadmin) wrote :

Hi,

I have observed this problem after the resent update of packages and i have enabled the screen saver. these two things i have down in these days. before it was working smooth.

Uname -a
Linux xenvm 2.6.27-11-generic #1 SMP Thu Jan 29 19:24:39 UTC 2009 i686 GNU/Linux

Hardware: HP Compaq 6710b (Laptop)

Ubuntu Latest version.

Please fix this problem, as i am trying to push ubuntu in my office as we have lot of virus problem in these days.

Please feel free to contact me for more information.

Thanks & Regards,
SHAAN.

shaan (shaantheadmin) wrote :

Heey,

Looks like problem resolved after disabling the screen saver.

Any how i will test it for some more time and update you.

Thanks & Regards,
SHAAN.

zmzach, I've just got "noapic clocksource=hpet" appended to the other options. Unless my memory fails me nolapic would mess up things badly. Also, I am using a 64-bit version of ubuntu on a 64-bit processor, if you have got a 32-bit ubuntu and/or a 32-bit processor this bug may not apply to you.

Mitchell, for me these lockups would happen at random with no correlation to the usage of openGL, nor does the original reporter say anything about openGL.

On a sidenote, I think I may have observerd the same problem in 9.04 (I left a program install to run by itself while I went away to do something else and it seemed to have stopped when I got back while it should have been finished considering the time I had been away).

Markos Gogoulos (mgogoulos) wrote :

Hi there,

I'm getting exactly the same on a R60 lenovo 8.10 with 2.6.27-11-generic.

[ 629.032101] CE: hpet increasing min_delta_ns to 15000 nsec
[ 1082.957072] CE: hpet increasing min_delta_ns to 22500 nsec
[ 1312.365264] CE: hpet increasing min_delta_ns to 33750 nsec
[ 3568.876011] CE: hpet increasing min_delta_ns to 50624 nsec

one more and then unexpected system crash :(

Hi,

same Issue with Jaunty-Defaults, Kernel 2.6.28-1 on a Dell Inspiron 9400:

[ 520.793198] CE: hpet increasing min_delta_ns to 15000 nsec
[ 736.084487] CE: hpet increasing min_delta_ns to 22500 nsec
[ 2944.051004] CE: hpet increasing min_delta_ns to 33750 nsec

Daniel (internalkernel) wrote :

I can also confirm this bug on Jaunty 9.04 - Intel Core Duo P9600 with an Nvidia 9600M (module 180.51)

I've tried noapic, and clocksource=hpet to no avail as well.

Although with clocksource enabled the lock up seemed to stutter for a second, normally it locks right up with massive artifacts or a complete white screen. In this case, it seemed the machine started to lock up - recovered for a second and then completely locked up.

If you need logs or anything else to narrow this down - please don't hesitate to ask. I'd love to see this get resolved. I can't tell if it's the Nvidia module or not, I've tried different versions on the module as well.

Daniel (internalkernel) wrote :

An update on my particular situation, hopefully this helps others... I downgraded my Nvidia module to 173, and haven't had a lockup since. Nor do I see any of the classic CE: hpet increasing messages...

fgr (f-gritsch) wrote :

Lenovo t61 with ubuntu 9.04 (2.6.28-11-generic i686) and nvidia Version 180
same problem, I will try it now with nvidia 173.

Sir Romanov (romain-couillet) wrote :

Same problem here, typically happens after around 20min of fullscreen Video Playback, sometimes even before KDM is launched. Some people say this might be caused by WiFi modules (especially on Broadcom 43xx cards) and suggest to append "blacklist b43" to /etc/modprobe.d/blacklist. Some say this might be linked to power management (hence the "acpi=none" and "nolapic" suggestions)...

Is anyone really working on this subject? For me this is MAJOR and not MEDIUM problem, since the computer has to be restarted every 30min and sometimes does not even go to KDM before stalling!

This must be a replicate of:
https://bugs.launchpad.net/bugs/355155

system11 (james-system11) wrote :

You can add my machine too - noapic seems to put it right, as far as I've tested. Lenovo W700, Jaunty. Also happens with Fedora 11 pre-release. I'd guess it's also related to this outstanding kernel bug, looks like something they broke a short while ago....

http://bugzilla.kernel.org/show_bug.cgi?id=11727

It was happening before the nvidia driver was even installed, and after - definitely interrupt related since keypresses, mouse movements - even inserting a CD cause it to wake up.

Allan Nordhøy (comradekingu) wrote :

Mine went away when i removed sync as a mode option. Can be found in /etc/fstab

Wincent (winxent1) wrote :

I have the same problem here too, Thinkpad T500, T9550, 9.04 x64.
Caps lock LED is flashing when it happens.

Jun 27 23:51:29 t500 kernel: [ 1942.540712] CE: hpet increasing min_delta_ns to 15000 nsec
Jun 27 23:51:30 t500 kernel: [ 1942.972710] CE: hpet increasing min_delta_ns to 22500 nsec
Jun 27 23:51:30 t500 kernel: [ 1942.972887] CE: hpet increasing min_delta_ns to 33750 nsec
Jun 27 23:52:54 t500 kernel: [ 2027.652690] CE: hpet increasing min_delta_ns to 50624 nsec

I thought I traced it to the Adobe 10 flash player:

Jun 27 22:29:57 t500 kernel: [ 152.563328] npviewer.bin[4113] general protection ip:f019d805 sp:fff51450 error:0 in libmurrine.so[f018e000+20000]
Jun 27 22:30:11 t500 kernel: [ 166.980410] npviewer.bin[4140]: segfault at 6aac7340 ip 00000000f3c9a039 sp 00000000fff357ec error 4 in libmurrine.so[f3$
Jun 27 22:30:11 t500 kernel: [ 167.473236] npviewer.bin[4314] general protection ip:f3ca0031 sp:fff0b7bc error:0 in libmurrine.so[f3c90000+20000]
Jun 27 22:31:35 t500 kernel: [ 250.704657] general protection fault: 0000 [#1] SMP
Jun 27 22:31:35 t500 kernel: [ 250.704667] last sysfs file: /sys/devices/pci0000:00/0000:00:1c.1/0000:03:00.0/rfkill/rfkill2/state
Jun 27 22:31:35 t500 kernel: [ 250.704674] Dumping ftrace buffer:
Jun 27 22:31:35 t500 kernel: [ 250.704679] (ftrace buffer empty)
Jun 27 22:31:35 t500 kernel: [ 250.704683] CPU 1
Jun 27 22:31:35 t500 kernel: [ 250.704686] Modules linked in: binfmt_misc ppdev bridge stp bnep input_polldev joydev lp parport snd_hda_intel snd_pcm_o$
Jun 27 22:31:35 t500 kernel: [ 250.704794] Pid: 4330, comm: npviewer.bin Tainted: P 2.6.28-13-generic #44-Ubuntu
Jun 27 22:31:35 t500 kernel: [ 250.704799] RIP: 0010:[<ffffffff802e236c>] [<ffffffff802e236c>] kmem_cache_alloc+0x5c/0xc0
Jun 27 22:31:35 t500 kernel: [ 250.704814] RSP: 0018:ffff880118c93d48 EFLAGS: 00010082

But I still had the lockup even with that player removed.

Ryan (ubuntu-draziw) wrote :

On 9.10 alpha 3 + patches
Jul 31 15:08:40 lt kernel: [ 375.809260] usb usb7: USB disconnect, address 1
Jul 31 15:08:40 lt kernel: [ 375.809563] ohci_hcd 0000:04:00.1: USB bus 7 deregistered
Jul 31 15:08:40 lt kernel: [ 375.809649] ohci_hcd 0000:04:00.1: PCI INT B disabled
Jul 31 15:08:40 lt kernel: [ 3150.721189] warning: `VirtualBox' uses 32-bit capabilities (legacy support in use)
Jul 31 15:08:40 lt kernel: [ 3158.432012] hda-intel: azx_get_response timeout, switching to polling mode: last cmd=0x010f0700
Jul 31 15:08:40 lt kernel: [ 7904.894748] process `skype' is using obsolete setsockopt SO_BSDCOMPAT
Jul 31 15:08:40 lt kernel: [ 7912.677066] CE: hpet increasing min_delta_ns to 15000 nsec

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu karmic (development branch)
Release: 9.10
Codename: karmic

Radoslav Georgiev (valsodarg) wrote :

Apparently I was able to reproduce this bug in Jaunty using kernel:
Linux Valsar 2.6.29-020629-generic #020629 SMP Tue Mar 24 11:23:53 UTC 2009 x86_64 GNU/Linux

As well:
nVidia GF 9600m GT
Intel(R) Core(TM)2 Duo CPU P9500 @ 2.53GHz

This happens only when switching sides of the compiz-fusion cube. Also the keyboard locks up (most of the time).

Arvid Norlander (anmaster) wrote :

Same issue on 2.6.28-15-generic (x64_64).
System is a Lenovo Thinkpad R500.
$ uname -a
Linux dragon 2.6.28-15-generic #48-Ubuntu SMP Wed Jul 29 08:53:35 UTC 2009 x86_64 GNU/Linux

$ grep 'model name' /proc/cpuinfo
model name : Intel(R) Core(TM)2 Duo CPU P8400 @ 2.26GHz
model name : Intel(R) Core(TM)2 Duo CPU P8400 @ 2.26GHz

$ lspci | grep Display
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 9.04
Release: 9.04
Codename: jaunty

The issue appears a bit after boot. Grepping kern.log and kern.log*.gz shows it happens between 18 minutes after boot and 16 hours after boot (in that case the system had been suspended most of the time). Sometimes the issue doesn't show up at all, but I often can't have the computer on for very long. The slowdown seems to take quite a long time to happen, often 10 or 20 minutes between each message. Due to needing to use the laptop I have rebooted the system before it reached the "freeze" point.

$ grep 'CE: hpet increasing' /var/log/kern.log
Aug 18 15:34:39 dragon kernel: [ 1730.000181] CE: hpet increasing min_delta_ns to 15000 nsec
Aug 18 17:23:06 dragon kernel: [ 8237.000181] CE: hpet increasing min_delta_ns to 22500 nsec
$ zgrep 'CE: hpet increasing' /var/log/kern.log*.gz
/var/log/kern.log.1.gz:Aug 8 12:30:23 dragon kernel: [47063.324131] CE: hpet increasing min_delta_ns to 15000 nsec
/var/log/kern.log.1.gz:Aug 8 12:41:31 dragon kernel: [47731.328128] CE: hpet increasing min_delta_ns to 22500 nsec
/var/log/kern.log.1.gz:Aug 8 17:51:33 dragon kernel: [60907.304634] CE: hpet increasing min_delta_ns to 33750 nsec
/var/log/kern.log.1.gz:Aug 11 16:25:07 dragon kernel: [ 3228.519471] CE: hpet increasing min_delta_ns to 15000 nsec
/var/log/kern.log.3.gz:Jul 29 13:54:22 dragon kernel: [ 7023.052581] CE: hpet increasing min_delta_ns to 15000 nsec
/var/log/kern.log.3.gz:Jul 31 15:26:47 dragon kernel: [14533.853801] CE: hpet increasing min_delta_ns to 15000 nsec
/var/log/kern.log.3.gz:Jul 31 16:22:44 dragon kernel: [17891.160635] CE: hpet increasing min_delta_ns to 22500 nsec
/var/log/kern.log.4.gz:Jul 25 23:31:12 dragon kernel: [ 1130.392139] CE: hpet increasing min_delta_ns to 15000 nsec

Haven't yet tried any of the listed workarounds.

Arvid Norlander (anmaster) wrote :

Ok tested the workarounds:
* clocksource=jiffies caused X to refuse to start
* noapic booted and X worked, but didn't fix the issue. Rather it make it happen a lot quicker after boot. Often less than a minute. Going to test with other clock sources, like acpi pm timer.

Arvid Norlander (anmaster) wrote :

The acpi pm timer (clocksource=acpi_pm) does seem to work better than the jiffies one so far (X works), and so far it seems to work. Not sure what sort of side effects it could have though. Or if it will work in the long run.

Arvid Norlander (anmaster) wrote :

Seems like using the acpi_pm timer doesn't help either:
[ 1444.543809] CE: hpet increasing min_delta_ns to 15000 nsec
[18676.192193] CE: hpet increasing min_delta_ns to 22500 nsec
[29242.780200] CE: hpet increasing min_delta_ns to 33750 nsec

These three above all happened within 10 minutes after a resume from RAM (and no other messages between the connecting to network after the resume, and the hpet message). Could be a coincidence though.

wITch (charlie-ashmore) on 2009-08-22
Changed in linux (Ubuntu):
status: Triaged → Fix Released
luchon (ichekryg) wrote :

wlTch: where is it fixed?

pveurs (pveurshout) wrote :

I'd also really like to know where it is fixed. Sorry to repeat luchon, as I know this place isn't actually meant for questions, but I'm having a system that's close to unusable, very likely connected to this issue. Thanks.

alfonso (apatruduque) wrote :

I had this exact issue on a Dell Precision M6300. With no apparent reason, the computer just freezes. Depending on what I'm doing the uptime before the freeze is between 1 and 3 hours. I tried all the things proposed here, but nothing worked. I also tried to disabled the BIOS settings for virtulization extensions but it did not solved the issue. I also disabled the acpi system but the system still freezes.

I have the feeling that the freeze happens when the cooling system is supposed to be started up or shut down, but it's just an impression.

I tried with debian testing and the new ubuntu 9.10 beta, but the problem is still there.

I could speed up the freeze by running glxgears and open a few flash videos in firefox. It's a matter of 10-20 minutes before it hangs.

All this tests were done with 64bit distributions/kernels. Yesterday I installed an ubuntu 9.10 32bit and the computer has been running for a few hours without freezing.

Hope it helps.

Alfonso

I can confirm this problem on Karmic. After a while playing videos they start to lock up. I'm running an up to date Karmic with x-updates ppa. I have a Intel GM965 graphics card, usually used in extened desktop setup (VGA & LVDS as one big desktop).
Adding hpet=disable to the kernel seems to solve the problem, I've had no lockups since.

Package versions:
linux 2.6.31-14-generic
xserver-xorg-video-intel 2:2.9.0-1ubuntu2

Disabling hpet (and using acpi_pm) didn't solve my video lockups. I don't have the "CE: hpet increasing min_delta_ns" messages anymore and no other messages but video still hangs after a while.

Ryan (ubuntu-draziw) on 2009-10-29
Changed in linux (Ubuntu):
status: Fix Released → Confirmed
Ahmed Osama (aosama) wrote :

Hello,

This issue is still persist in karmic. It seems to "slow down" over time and occasionally freeze during shutdown.

Distributor ID: Ubuntu
Description: Ubuntu 9.10
Release: 9.10
Codename: karmic

Linux home 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:04:26 UTC 2009 i686 GNU/Linux

Issue:

Nov 3 15:16:18 home kernel: [ 659.657031] CE: hpet increasing min_delta_ns to 15000 nsec
Nov 3 15:17:11 home syslogd 1.5.0#5ubuntu4: restart.

Any ideas?

Hi,

i have the same issue here on a Dell Precision M4400 with Karmic 32Bit. After watching a film for about +- 1 hour the system slows down so that i have to reboot. I tried also with Fedora Core 11 and there is the same problem so i think this is a kernel related bug.

Intel(R) Core(TM)2 Duo CPU P8600 @ 2.40GHz
Kernel: 2.6.31-14-generic

Ps (ps-mail) wrote :

clocksource=jiffies seems to fix the problem for me (i hope)

K1T (kimtak) wrote :

I have the same problem with freshly installed Ubuntu 9.10 Karmic Koala 64bit. I can reproduce it within 10 minutes with lots of network traffic (deluge torrrent download). Hang happens soon after line: "CE: hpet increasing min_delta_ns to 15000 nsec" in /var/log/messages. There comes other info soon after that, seems like kernel writes the modules currently loaded, content of registers and so on, but nothing of it is committed to disc and is lost after crash, I tried running sync in 5s loop to get messages saved but it does not help :(

Hardware name: AMILO Xi 2550
Linux ws1 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:05:01 UTC 2009 x86_64 GNU/Linux

Ps (ps-mail) wrote :

interesting, I've also an AMILO Xi 2550...

Like written above, the clocksource=jiffies fixes my problems (is running since 21hours)

K1T (kimtak) wrote :

Tried clocksource=jiffies, after splash screen, screen black nothing happens. Kernel don't seem to load (Strange that it works in other AMILO Xi 2550). Had to remove it. Maybe I did something wrong. I had line

 linux /vmlinuz-2.6.31-14-generic root=UUID=e28d77a3-3c38-462e-a74c-b13e01d39224 ro quiet splash clocksource=jiffies

in the grub2 bootloader. Trying hpet=disable instead.

K1T (kimtak) wrote :

OK. Finally "nolapic acpi=off" did the trick.

Hi.

Just in case it helps, I've been running ubuntu 9.10 32 bits with pae support (I have 4G of RAM) for more than a mounth without lockups. As K1T suggested, deactivating acpi helped but I didn't like the idea of not beeing able to "see" the temperature of the laptop while working with it.

Download full text (4.2 KiB)

Hello,
Same problem here in Ubuntu 9.10 / 64b
Symtpom : Freeze and led blinking

kern.log :
Nov 29 22:46:40 alberto-laptop kernel: [ 470.663710] iwlagn 0000:03:00.0: iwl_tx_agg_start on ra = ee:40:00:73:33:00 tid = 0
Nov 29 22:49:32 alberto-laptop kernel: [ 642.661432] iwlagn 0000:03:00.0: iwl_tx_agg_start on ra = ee:40:00:73:33:00 tid = 6
Nov 29 22:51:01 alberto-laptop kernel: [ 732.180057] CE: hpet increasing min_delta_ns to 15000 nsec
Nov 29 22:52:02 alberto-laptop kernel: [ 793.102574] CE: hpet increasing min_delta_ns to 22500 nsec
Nov 29 22:54:44 alberto-laptop kernel: [ 955.204926] CE: hpet increasing min_delta_ns to 33750 nsec
Nov 29 23:10:02 alberto-laptop kernel: imklog 4.2.0, log source = /var/run/rsyslog/kmsg started.
Nov 29 23:10:02 alberto-laptop kernel: [ 0.000000] Initializing cgroup subsys cpuset
Nov 29 23:10:02 alberto-laptop kernel: [ 0.000000] Initializing cgroup subsys cpu

uname -a
Linux alberto-laptop 2.6.31-15-generic #50-Ubuntu SMP Tue Nov 10 14:53:52 UTC 2009 x86_64 GNU/Linux

cpuinfo
model name : Intel(R) Core(TM)2 Duo CPU T6400 @ 2.00GHz

dmesg
[ 20.364690] iwlagn 0000:03:00.0: firmware: requesting iwlwifi-5000-2.ucode
[ 20.665265] iwlagn 0000:03:00.0: loaded firmware version 8.24.2.12
[ 20.815123] Registered led device: iwl-phy0::radio
[ 20.815150] Registered led device: iwl-phy0::assoc
[ 20.815177] Registered led device: iwl-phy0::RX
[ 20.815204] Registered led device: iwl-phy0::TX
[ 20.851109] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 22.501756] ppdev: user-space parallel port driver
[ 25.032597] CE: hpet increasing min_delta_ns to 15000 nsec
[ 25.032691] CE: hpet increasing min_delta_ns to 22500 nsec
[ 27.442548] hda-intel: azx_get_response timeout, switching to polling mode: last cmd=0x016f000c
[ 28.252615] CE: hpet increasing min_delta_ns to 33750 nsec
[ 71.846796] wlan0: authenticate with AP ee:40:00:73:33:00

lspci
00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07)
00:01.0 PCI bridge: Intel Corporation Mobile 4 Series Chipset PCI Express Graphics Port (rev 07)
00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 03)
00:1a.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 3 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family)...

Read more...

Maybe not related to
  Bug 14426 - CE: hpet increasing min_delta_ns flood
I tried nohz=off in boot options and I still get the freeze and leds blinking behaviour.
Something I don't get is that I have no logs at all for this last freeze

syslog
Dec 3 23:52:43 alberto-laptop wpa_supplicant[1450]: CTRL-EVENT-SCAN-RESULTS
Dec 3 23:54:43 alberto-laptop wpa_supplicant[1450]: CTRL-EVENT-SCAN-RESULTS
####Should be something here
Dec 3 23:56:41 alberto-laptop kernel: imklog 4.2.0, log source = /var/run/rsyslog/kmsg started.
Dec 3 23:56:41 alberto-laptop rsyslogd: [origin software="rsyslogd" swVersion="4.2.0" x-pid="559" x-info="http://www.rsyslog.com"] (re)start
Dec 3 23:56:41 alberto-laptop rsyslogd: rsyslogd's groupid changed to 102

kern.log
Dec 3 22:07:42 alberto-laptop kernel: [ 65.072512] wlan0: no IPv6 routers present
Dec 3 22:17:51 alberto-laptop kernel: [ 674.912445] iwlagn 0000:03:00.0: iwl_tx_agg_start on ra = ee:40:00:73:33:00 tid = 6
####Should be something here
Dec 3 23:56:41 alberto-laptop kernel: imklog 4.2.0, log source = /var/run/rsyslog/kmsg started.
Dec 3 23:56:41 alberto-laptop kernel: [ 0.000000] Initializing cgroup subsys cpuset
Dec 3 23:56:41 alberto-laptop kernel: [ 0.000000] Initializing cgroup subsys cpu
Dec 3 23:56:41 alberto-laptop kernel: [ 0.000000] Linux version 2.6.31-15-generic (buildd@yellow) (gcc version 4.4.1 (Ubuntu 4.4.1-4ubuntu8) ) #50-Ubuntu SMP Tue Nov 10 14:53:52 UTC 2009 (Ubuntu 2.6.31-15.50-generic)
Dec 3 23:56:41 alberto-laptop kernel: [ 0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-2.6.31-15-generic root=UUID=975e5ca4-72d5-413a-a77e-b8347600b74b ro quiet splash nohz=off
Dec 3 23:56:41 alberto-laptop kernel: [ 0.000000] KERNEL supported cpus:
Dec 3 23:56:41 alberto-laptop kernel: [ 0.000000] Intel GenuineIntel
Dec 3 23:56:41 alberto-laptop kernel: [ 0.000000] AMD AuthenticAMD
Dec 3 23:56:41 alberto-laptop kernel: [ 0.000000] Centaur CentaurHauls

daemon.log
Dec 3 23:50:43 alberto-laptop wpa_supplicant[1450]: CTRL-EVENT-SCAN-RESULTS
Dec 3 23:52:43 alberto-laptop wpa_supplicant[1450]: CTRL-EVENT-SCAN-RESULTS
Dec 3 23:54:43 alberto-laptop wpa_supplicant[1450]: CTRL-EVENT-SCAN-RESULTS
####Should be something here
Dec 3 23:56:44 alberto-laptop avahi-daemon[896]: Found user 'avahi' (UID 105) and group 'avahi' (GID 111).

Bizarrrrrrrre

I think in my case the freeze was related to some troubles with the wifi card.
I installed wicd instead of network manager and I no more freezes since

I've fixed it for my laptop with compressed air.

I've seen hpet message too. And my laptop would become very slow. I even measured this slow down. It was alway about x10 times slower or x60 slower. Surprisingly it was still very usable with x10. These slowdowns were random and intermittent. Sometime it would survive reboot. This is how I figured it was HW related. I've opened my hp6910p laptop, and cleaned up motherboard from dust with compressed air can. No more slowdowns or hpet messages.

nadavkav (nadavkav) wrote :

Leonid, looks like voodoo to me :-)

i have HP DV7 with Debian's 2.6.32-trunk-amd64
and i still get these messages if i do not disable hpet. :-(

eval- (eval-) wrote :

I am having this problem too, on Karmic 9.10, 2.6.31-19-generic-tuxonice #56~ppa1-Ubuntu SMP Thu Feb 4 10:56:23 UTC 2010 x86_64. Machine is Acer Aspire Timeline 3810T-6775.

Besides installing tuxonice kernel (and fbsplash tuxoniceui) a few days ago I edited the broken laptop-mode script /usr/share/laptop-mode-tools/modules/wireless-iwl-power today as described here: https://bugs.launchpad.net/ubuntu/+source/laptop-mode-tools/+bug/508938 to properly enable power management on my intel 5100 wifi.

Since this is my most recent change and hpet-related system freezes have only happened so far while unplugged (turning iwlagn power management on) I suspect it may have to do with iwlagn or laptop-mode I also have to use backports wireless module for power saving, even though it yeilds generally abysmal b/g/n speeds.

My system only shows one hpet message before applications start to segfault, sometimes quite a bit later (happened with Virtualbox, NetworkManager and a few other programs):
Feb 10 14:25:38 xuphoria kernel: [14091.043420] CE: hpet increasing min_delta_ns to 22500 nsec
Feb 10 14:29:08 xuphoria pulseaudio[2716]: ratelimit.c: 8 events suppressed
Feb 10 14:43:54 xuphoria kernel: [15186.721736] npviewer.bin[3597]: segfault at 430 ip 00000000f61a8776 sp 00000000ffeab3a8 error 6 in libflashplayer.so[f5f70000+a71000]
Feb 10 14:56:54 xuphoria kernel: [15967.262654] npviewer.bin[16560]: segfault at 430 ip 00000000f60d5776 sp 00000000ffab6288 error 6 in libflashplayer.so[f5e9d000+a71000]

Or it's the last thing logged before I get the dreaded black screen with blinking cursor and must cold-boot:
Feb 10 22:09:04 xuphoria kernel: [14456.583461] CE: hpet increasing min_delta_ns to 15000 nsec
Feb 10 22:23:01 xuphoria kernel: imklog 4.2.0, log source = /var/run/rsyslog/kmsg started.

Any ideas?? I will try hpet=disable or clocksource=jiffies. Not really sure where to post this bug...

emas (emas80spam) wrote :

Hi, I got this error for the first time some days ago, I didn't change anything and suddenly my system started crashing, going into kernel panic.
I've a Dell Vostro 1510 with Nvidia card, Ubuntu 9.10 - 64 bit and a custom kernel 2.6.32.3, compiled some months ago and that always run fine.

In my logs, I found messages like eval- ones, about hpet increasing min_delta and rsyslog/kmsg started.
This morning I tried uninstalling rsyslog, and since then everything is fine, I haven't had a kernel panic for the last 6 hours, while this morning I got 3 (!!) panic in just one hour, and the last weekend I got a panic every time I use my note, every hour.

I don't know if this is the solution, I really hope it continues to work.. I need my note for my job, and I'm very disappointed about this sort of problems, it seems like Ubuntu is trying to emulate Windows also with these I-dont-know-yesterday-was-working problems. I'm really considering to get Gentoo.

I don't know what's wrong with rsyslog, I don't remember, maybe last friday this package or something linked to it was updated?

Sean Seago (speedkreature) wrote :

Another "Me, too!" What is being done to resolve this, or what information is needed?

Significant Software:
    Ubuntu Server 9.10 x86-64
        + ubuntu-desktop
        + ubuntu-virt-server
        + ubuntu-virt-mgmt

Øyvind Stegard (oyvinst) wrote :

I'm suffering badly from these hpet messages in Ubuntu Lucid 10.04 x86 it seems. Don't know how critical they really are.
Today's session so far:
$ dmesg|grep hpet
[ 0.000000] hpet clockevent registered
[ 0.224755] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0
[ 0.224760] hpet0: 3 comparators, 64-bit 14.318180 MHz counter
[ 0.228208] Switching to clocksource hpet
[ 0.554687] rtc0: alarms up to one month, y3k, 114 bytes nvram, hpet irqs
[ 28.961077] CE: hpet increasing min_delta_ns to 15000 nsec
[ 791.225076] CE: hpet increasing min_delta_ns to 22500 nsec
[ 1238.509081] CE: hpet increasing min_delta_ns to 33750 nsec
[16869.453011] CE: hpet increasing min_delta_ns to 50624 nsec
[18029.867095] CE: hpet increasing min_delta_ns to 75936 nsec
[19313.601918] CE: hpet increasing min_delta_ns to 113904 nsec
[19362.762508] CE: hpet increasing min_delta_ns to 170856 nsec
$ uname -a
Linux blackelf 2.6.32-21-generic #32-Ubuntu SMP Fri Apr 16 08:10:02 UTC 2010 i686 GNU/Linux

I've seen it go as high is ~800000 nsecs. Right now things are slow, graphics seem to be suffering the most. However, there are no lockups and apps don't crash randonmly. Note that I cannot say for sure if the slowdown is caused by those hpet-messages or not. But every time I notice slowdown, I usually see some hpet messages in the kernel log as well. Lenovo Thinkpad Z61m, Intel Core Duo, 3GB RAM, ATI X1400 graphics, radeon KMS+Compiz.

gudok (gudokk) wrote :

"clocksource=jiffies" helped me

The only thing that could cause keyboard freezing is the high mid-spring temperature. No recent software or hardware updates.

Configuration: Dell D830 laptop (Intel T8100, Quadro NVS 140M, Intel 3945ABG wifi controller), Debian squeeze :)

Pétur Ingi Egilsson (petur) wrote :

Affects me as well, every day.

At first i thougt this had something to do with Ubuntu 9.04 so i switched to openSuSE 11.3 but the but is still there.

I'm using a Dell D620 laptop, and Nvidias propitary drivers.

The program usually comes after using VLC to watch movies for ~35 minutes.
The video starts to be slow like if i was playing it on a very old computer.
After closing VLC, Gnome remains extremely unresponsive, but does not freeze.

This is the output of /var/log/messages
May 6 00:20:10 linux-8gt5 kernel: [ 2353.985287] CE: hpet increasing min_delta_ns to 33750 nsec
May 6 00:20:16 linux-8gt5 kernel: [ 2359.980362] CE: hpet increasing min_delta_ns to 50624 nsec
May 6 00:20:21 linux-8gt5 kernel: [ 2365.326418] CE: hpet increasing min_delta_ns to 75936 nsec
May 6 00:21:13 linux-8gt5 kernel: [ 2417.383316] CE: hpet increasing min_delta_ns to 113904 nsec

I've used reboot as a workaround so far.

In my case nohz=off in grub options fixes problem. Hey @KIT and @Ps I also have Amilo XI 2550, may be nohz is slightly better than "nolapic acpi=off"?

b666m (b666mg) wrote :
Download full text (4.2 KiB)

ubuntu 10.04 64bit
2.6.32-22-generic
intel core i7 820qm
ati radeon hd4670
it's a dell xps studio 16

it mostly doesn't freeze but in firefox i can reproduze freezes (screen goes fullscreen one colour - mostly black or the background-colour of the website i visit).
it happens when i click on a link to a website with heavy java-script use or flash-content?! *just my opinion*

and if it once went unresponsible and i do a powerdown.... and then reboot it... i can get it freezing again and again and again... just by visiting the same website and clicking on a link?!

with google chrome or opera there are no problem at this point... and when i opened the site in opera or chrome... firefox can load it without freezing up too?!
it's really strange...

here's my log:
(you can see where i had to reboot my device because it was unresponsible... just look at the timestamps... where they are resetted)

May 17 17:09:54 xb666mx kernel: [79086.358523] CE: hpet increasing min_delta_ns to 384426 nsec
May 17 17:14:56 xb666mx kernel: [79388.634363] CE: hpet increasing min_delta_ns to 576638 nsec
May 17 18:14:03 xb666mx kernel: [ 1.572661] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 24, 25, 26, 27, 28, 0
May 17 18:14:03 xb666mx kernel: [ 1.572667] hpet0: 8 comparators, 64-bit 14.318180 MHz counter
May 17 18:14:03 xb666mx kernel: [ 1.870518] rtc0: alarms up to one month, y3k, 242 bytes nvram, hpet irqs
May 17 18:14:03 xb666mx kernel: [ 1.872291] WARNING: at /build/buildd/linux-2.6.32/arch/x86/kernel/hpet.c:392 hpet_next_event+0x7a/0x90()
May 17 18:14:03 xb666mx kernel: [ 1.872324] [<ffffffff810375ca>] hpet_next_event+0x7a/0x90
May 17 18:14:03 xb666mx kernel: [ 1.872328] [<ffffffff81037610>] hpet_legacy_next_event+0x10/0x20
May 17 18:14:03 xb666mx kernel: [ 6.549874] CE: hpet increasing min_delta_ns to 15000 nsec
May 17 18:14:03 xb666mx kernel: [ 6.650124] CE: hpet increasing min_delta_ns to 22500 nsec
May 17 18:15:12 xb666mx kernel: [ 63.410673] CE: hpet increasing min_delta_ns to 33750 nsec
May 17 19:41:45 xb666mx kernel: [ 5253.084764] CE: hpet increasing min_delta_ns to 50624 nsec
May 17 19:42:17 xb666mx kernel: [ 5284.782014] CE: hpet increasing min_delta_ns to 75936 nsec
May 17 19:52:05 xb666mx kernel: [ 5873.366686] CE: hpet increasing min_delta_ns to 113904 nsec
May 17 20:00:55 xb666mx kernel: [ 1.572777] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 24, 25, 26, 27, 28, 0
May 17 20:00:55 xb666mx kernel: [ 1.572784] hpet0: 8 comparators, 64-bit 14.318180 MHz counter
May 17 20:00:55 xb666mx kernel: [ 1.870981] rtc0: alarms up to one month, y3k, 242 bytes nvram, hpet irqs
May 17 20:00:55 xb666mx kernel: [ 1.872482] WARNING: at /build/buildd/linux-2.6.32/arch/x86/kernel/hpet.c:392 hpet_next_event+0x7a/0x90()
May 17 20:00:55 xb666mx kernel: [ 1.872513] [<ffffffff810375ca>] hpet_next_event+0x7a/0x90
May 17 20:00:55 xb666mx kernel: [ 1.872517] [<ffffffff81037610>] hpet_legacy_next_event+0x10/0x20
May 17 20:00:56 xb666mx kernel: [ 8.757834] CE: hpet increasing min_delta_ns to 15000 nsec
May 17 20:03:10 xb666mx kernel: [ 130.990757] CE: hpet increasing min_delta_ns to 22500 nsec
May 17 20:03:13 xb666mx kernel: [ 133.958229] CE...

Read more...

b666m (b666mg) wrote :

update:

i tried to load a flash-site within firefox which immediatly crashed firefox.

then i tried to load the same site in chrome and it reported me this:

german: "das folgende plug-in ist abgestürzt: /home/b666m/.mozilla/plugins/libflashplayer.so"
english: "the following plug-in crashed: /home/b666m/.mozilla/plugins/libflashplayer.so"

i got this plug-in right from the adobe-site. it's the latest version and meant for 64bit systems.

b666m (b666mg) wrote :
Download full text (3.2 KiB)

update 2:

after some attempts i was able to detect the sources of my lock-ups and firefox crashes.

--------------------

problem:
firefox (flashplugin) crashes.

description:
i had the 64bit beta flashplugin from the adobe website installed like it's mentioned in some wikis (ubuntuusers.de and so on).
(my testing site for the crashes was http://ritter-sport.de/ - i don't know why it happened all the time on this site but you could test your flashplugin there too)

solution:
so i uninstalled this plugin and did the "normal" way of installing it:
sudo apt-get install flashplugin-installer

i think this is the default 32bit flashplugin but now my crashes are gone.

--------------------

problem:
(firefox) system lock-ups.

description:
the problem above with the crashes happened usually.
but on some other websites my complete system got unresponsive - the screen was filled with one color (mostly black) and i wasn't able to do anything (couldn't change my session with ctrl + alt + fx or end firefox with alt + f4). the only thing i could do was holding down my powerbutton and boot the system again.

way to the solution:
after going through all the logs i found some lines in the syslog which got my attention immediately like the hpet ones:
xb666mx kernel: [190180.347589] radeon 0000:02:00.0: ffff880001c29c00 reserve failed for wait
xb666mx kernel: [190312.551879] radeon 0000:02:00.0: ffff880001c29c00 reserve failed for wait
xb666mx kernel: [190361.440415] radeon 0000:02:00.0: ffff880001c29c00 reserve failed for wait
xb666mx kernel: [190527.753603] radeon 0000:02:00.0: ffff880001c29c00 reserve failed for wait
xb666mx kernel: [190813.144151] radeon 0000:02:00.0: ffff880001c29c00 reserve failed for wait
xb666mx kernel: [190903.010767] radeon 0000:02:00.0: ffff880001c29c00 reserve failed for wait
xb666mx kernel: [190904.408506] radeon 0000:02:00.0: ffff880001c29c00 reserve failed for wait

firstly i was still using the open source driver for my ati radeon because it was recommened to use it as long as no errors/problems occur and it was okay because it is already capable of displaying 3d content as i need it for my compiz fusion desktop.
secondly i used it because this is my second installation of lucid and in the first one the proprietary ati driver lead to some problems. on startup it used (and still uses) the wrong solution (it's looking horrible). and it seemed that the ati driver has some conflicts with my wlan driver (i think it's named "wl") on my dell wireless mini 1397 card because the driver was not loaded about 3 of 5 times at startup. (i'm not actually sure anymore if this was the reason for that because now it seems to work like a charme)

solution:
in short i just installed the proprietary ati driver "flgrx".
the simpliest way to do this is:
System --> Systemadministration --> Hardware Driver

after that my solution at startup is still messed up but i don't have any problems with freezes anymore since then.
(and i think the solution can be configured anywhere but i didn't look for that until now - but i will)

--------------------

the hpet increasing stuff is still there.
and in my opinion it shouldn't be there too.
but on my syste...

Read more...

Matifou (matthieu-stigler) wrote :

Hi

I have the same problem on a Dell Studio machine. I am now critically affected by this bug: it freezes randomly, or reboots randomly... so can't use my laptop more than 5 mins!

I had 10.4 installed, upgraded to 11.4 hoping it would be better... problem still there! This could come with problems of over heating, since I have also fan probles...

I do not show the error message as it is the same as all people here... but happy to give more details if necessary!!

I understood that some poeple got rid of it by changing some options... excuse my ignorance but I did not understand where following options should be changed:
-noapic nolapic

in which fil eis it?

any help most welcome!!

thanks!!

michael37 (misha37) wrote :

same problem as comment 78, Dell Studio 7100 running 10.04.2. Experience freezes with hpet messages in /var/log/messages before freeze. kernel 2.6.32-32-generic

Syslog.eu (syslog) wrote :

Hi, the same problem on my natty machine. Freezes after higher load with hpet messages in the log before it happens:

$ cat /proc/cpuinfo | grep "model name"
model name : AMD Phenom(tm) II X6 1075T Processor
model name : AMD Phenom(tm) II X6 1075T Processor
model name : AMD Phenom(tm) II X6 1075T Processor
model name : AMD Phenom(tm) II X6 1075T Processor
model name : AMD Phenom(tm) II X6 1075T Processor
model name : AMD Phenom(tm) II X6 1075T Processor

$ dmesg|grep hpet
[ 0.000000] hpet clockevent registered
[ 0.800816] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0
[ 0.800816] hpet0: 3 comparators, 32-bit 14.318180 MHz counter
[ 0.802265] Switching to clocksource hpet
[ 1.764618] rtc0: alarms up to one month, y3k, 114 bytes nvram, hpet irqs
[ 611.573682] CE: hpet increased min_delta_ns to 20113 nsec

$ uname -a
Linux harfa 2.6.38-11-generic-pae #48-Ubuntu SMP Fri Jul 29 20:51:21 UTC 2011 i686 athlon i386 GNU/Linux

Richard Ayotte (rich-ayotte) wrote :

I managed to logon remotely and saw segmentation faults so I tried to save them to a file but the kernel oops at that point so nothing was saved.

cat /proc/cpuinfo | grep "model name"
model name : AMD Phenom(tm) II X6 1090T Processor

dmesg|grep hpet
[ 0.000000] hpet clockevent registered
[ 0.320038] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0
[ 0.320038] hpet0: 3 comparators, 32-bit 14.318180 MHz counter
[ 0.324041] Switching to clocksource hpet
[ 1.996957] rtc0: alarms up to one month, y3k, 114 bytes nvram, hpet irqs

uname -a
Linux cheetah 3.3.1-030301-generic #201204021435 SMP Mon Apr 2 18:36:11 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu precise (development branch)
Release: 12.04
Codename: precise

aph, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command in the development release from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. As well, please comment on which kernel version specifically you tested.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream', and comment as to why specifically you were unable to test it.

Please let us know your results. Thanks in advance.

tags: added: needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Hans Hellén (hans-hellen) wrote :

Apport-collected in probably a duplicate bug #882566 using the most recent 12.10 beta1 live dvd.

ApportVersion: 2.6.1-0ubuntu10
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: rich 4209 F.... pulseaudio
 /dev/snd/controlC0: rich 4209 F.... pulseaudio
 /dev/snd/pcmC0D0p: rich 4209 F...m pulseaudio
CRDA: Error: [Errno 2] No such file or directory
DistroRelease: Ubuntu 12.10
HibernationDevice: RESUME=UUID=db93097a-7476-44b8-ae5b-f25e04fce538
InstallationDate: Installed on 2011-02-26 (744 days ago)
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007.1)
IwConfig: Error: [Errno 2] No such file or directory
MachineType: System manufacturer System Product Name
MarkForUpload: True
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcFB: 0 VESA VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-26-generic root=UUID=72deefd6-bbe4-4219-95ae-922ae9faa63e ro crashkernel=384M-2G:64M,2G-:128M quiet splash
ProcVersionSignature: Ubuntu 3.5.0-26.40-generic 3.5.7.6
RelatedPackageVersions:
 linux-restricted-modules-3.5.0-26-generic N/A
 linux-backports-modules-3.5.0-26-generic N/A
 linux-firmware 1.95
RfKill:

Tags: quantal
Uname: Linux 3.5.0-26-generic x86_64
UpgradeStatus: Upgraded to quantal on 2012-09-21 (170 days ago)
UserGroups: adm admin cdrom dialout libvirtd lpadmin mythtv plugdev sambashare vboxusers
dmi.bios.date: 04/01/2011
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 2002
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: Crosshair IV Formula
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr2002:bd04/01/2011:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnCrosshairIVFormula:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer

tags: added: apport-collected quantal

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Richard Ayotte, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

Thank you for your understanding.

tags: removed: apport-collected quantal
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.